using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 所属范围
    /// </summary>
    [Description("所属范围")]
    public class T_TI_PLAN_RANGE_TYPE : MesEntityBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        [Description("编号")]
        [CodeRule((int)PFCodeRuleType.安全投入科技)]
        [FormFieldTable]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        public string NAME { get; set; }

    }
}
